POSTGetTransactionById

Tron Mainnethttps://tron-mainnet.nodit.io/walletsolidity/gettransactionbyid

Query the transaction body by transaction ID from the SolidityNode view. Only solidified transactions are returned.

Request Body
valuestring

Transaction ID (hash). Example: bd32eef7469d57011a092c59c745cab1e49c501e9f0ac15c580656f9ead1e319

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
txIDstring

Transaction ID(Hash).

contractRetstring[]

Transaction Execution Results.

signaturestring[]

Transaction signature.

raw_data_hexstring

The transaction's raw data. (Format: hex)

fee_limitinteger (int64)

The transaction's FeeLimit. See here for details. (Unit: sun)

ref_block_bytesstring

The last two bytes of the reference block's number (height), used for transaction validation.

ref_block_hashstring

Bytes 8 to 16 of the reference block's hash, used for transaction validation.

expirationinteger (int64)

Transaction expiration time. (Unit: millisecond)

timestampint64 (int64)

Timestamp. (Unit: millisecond)

X-API-KEY
RequestCU15
cURL
curl -X POST "https://tron-mainnet.nodit.io/walletsolidity/gettransactionbyid" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
    "value": "bd32eef7469d57011a092c59c745cab1e49c501e9f0ac15c580656f9ead1e319",
    "visible": false
  }'
Response
Example · 200
{
  "ret": [
    {
      "contractRet": "SUCCESS"
    }
  ],
  "signature": [
    "ffbf691a89d95f6ad8175611c7d334c8159b95ff9c1e83872e7670103b185e85faf0a394b23d99581385d38038ab5c4684759c864a5621009f6e95da0a5feab501"
  ],
  "txID": "d0807adb3c5412aa150787b944c96ee898c997debdc27e2f6a643c771edb5933",
  "raw_data": {
    "contract": [
      {
        "parameter": {
          "value": {
            "amount": 16,
            "asset_name": "54726f6e696373",
            "owner_address": "414a5fe0179f2dd9c900194e63d661863cd0ade7b0",
            "to_address": "41718de6b323652d1257437ace160c4f4198aae4e1"
          },
          "type_url": "type.googleapis.com/protocol.TransferAssetContract"
        },
        "type": "TransferAssetContract"
      }
    ],
    "ref_block_bytes": "6bdd",
    "ref_block_hash": "1616edaf3a57fe19",
    "expiration": 1546455678000,
    "timestamp": 1546455620175
  }
}